<form novalidate [formGroup]='userForm' (submit)="login()">
  <simulator-alert class='lg:md:ml-8 mb-5' *ngIf='error$ | async as error' [title]='error' logo='warning'
                   colorText='text-rose-500'
                   colorLogo='text-rose-500'></simulator-alert>
  <h3 class='mb-12 text-3xl font-semibold font-heading'>Sign In</h3>
  <div class='relative flex flex-wrap mb-6'>
    <input class='relative mb-2 md:mb-0 w-full py-4 pl-4 text-sm border rounded' type='email'
           formControlName="email"
           placeholder='e.g hello@mymxc.io'>
    <span
      class='absolute top-0 left-0 ml-4 -mt-2 px-1 inline-block bg-white text-gray-500 text-xs'>Your email address</span>
  </div>
  <div class='relative flex flex-wrap mb-6'>
    <input class='relative mb-2 md:mb-0 w-full py-4 pl-4 text-sm border rounded'
           formControlName="password"
           type='password' placeholder='******'>
    <span class='absolute top-0 left-0 ml-4 -mt-2 px-1 inline-block bg-white text-gray-500 text-xs'>Password</span>
  </div>
  <button
    [disabled]='userForm.invalid'
    [ngClass]="{'disabled:opacity-50 cursor-not-allowed': userForm.invalid}"
    class='w-full inline-block py-4 mb-4 text-sm text-white font-medium leading-normal hover:bg-red-300 rounded transition duration-200'
    id='submit'>
    Get Started
  </button>
  <a class='block pb-6 mb-6 text-sm font-semibold hover:underline border-b' routerLink='../forget-password'>Forgot password?</a>
  <a class='block pb-6 mb-6 text-sm text-rose-700 font-semibold hover:underline border-b' routerLink='../register'>
    Not yet registered ? Create an account</a>
  <a class='flex items-center justify-center mb-4 py-4 bg-blue-800 hover:bg-blue-900 rounded cursor-pointer'
     (click)="connectSocial('google')">
                    <span class='inline-block mr-2'>
                      <simulator-icon size='lg' class='h-6 w-6' icon='google'></simulator-icon>
                    </span>
    <span class='text-sm text-white'>Sign in with Google</span>
  </a>
</form>
